> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/hardware-products/hardware/android-devices/v310/v310-installation-guide/device-overview.md).

# Device Overview

Verifone V310 is Verifone's compact and secure payment terminal. A slim ergonomic design integrated thermal printer, and support for MSR, PSCR, and fast contactless (CTLS) transactions, the V310 delivers reliable and efficient payment experiences.

The Common Platform Portable V310 combines card payment acceptance, receipt printing, and access to Verifone's cloud-based services, enabling customers across multiple segments to deliver a wide range of solutions to merchants. These cloud services support advanced payment methods,   e-commerce capabilities such as Buy Online Pick-Up in Store (BOPIS), payment and POS application download scheduling, and periodic software updates for the OS, payment application, and POS application.

Designed for mobility and merchant convenience, the V310 supports 2G, 3G, 4G LTE, dual-band    Wi-Fi, and Bluetooth connectivity, along with a high-capacity battery for portable operations. It also supports tool-free battery replacement, minimizing downtime, and includes illuminated keypad support for seamless PIN entry in low-light environments such as taxis and delivery services.

## Features and Benefits

The V310 includes the following features:

* Capacitive touch
* Secure keypad supporting 3x5 matrix containing 0-9, \*, #, Cancel, Backspace/Clear and Enter keys
* Supports telco-style format
* Dual-function Backspace/Clear key
* Customer-entry for Cancel and Enter keys
* 15-KEY mechanical with a dot on the 5 KEY
* Layout as per EBS 100

## Ease of Use

* Bold, ergonomic design fits comfortably in the palm of a hand.
* Large, hard-rubber keys provide improved tactile feedback, minimizing errors and maximizing ease of use for consumers of all ages.
* Intuitive telco-style interface and colored control keys simplify training and reduce support requests.
* Supports payment transactions in a variety of payment environments.

## Critical Security Protection

* Offers a choice of Master/Session or DUKPT key-management method to protect PIN-based transactions.
* Offers secure, reliable PIN input for expanding the range of PIN-based transactions.
* PCI-compliant for secure solutions, meeting the PED standard.
* Meets ISO and ANSI standards for PIN encryption, key management, and MAC.
* The rugged and reliable design absorbs hard knocks found at point-of-sale counters.

## Security

* Incorporates tamper-detection circuitry to resist unauthorized intrusion and supports a broad spectrum of software-based security features.
* PCI PTS 7.x approved for debit and other PIN-based transactions.
* Supports reliable security available including TLS/SSL.

## Contactless Capability

* Advanced contactless architecture that future-proofs investment with a single contactless interface (SingleCl), and side-by-side application architecture.
* Accepts EMV, NFC and mag-stripe contactless payments as well as PIN-based transactions.

## Wireless Communication Capability

### Bluetooth

* Bluetooth v5.0
* Bluetooth low energy

### Wi-Fi

* 2.4GHz + 5GHz 802.11 a/b/g/n/ac

### Cellular

* 4G LTE + 3G/2G


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verifone.com/hardware-products/hardware/android-devices/v310/v310-installation-guide/device-overview.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
